AOZ Studio Beta - Bug #159

Dir$="AMOSPro_Examples:Music/" fails. "Drive Not Found" error, but drive and folder exist on
default filesystem.

02/08/2020 08:01 PM - Brian Flanagan

Status: Closed Start date: 02/08/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.5

Affected version: 0.9.4

Description

Example: Help_72 from AMOSPro_Examples disk.

Probably related to bug #158.

History

#1 - 02/21/2020 09:54 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.5

#2 - 04/04/2020 08:11 AM - Baptiste Pillot
| try to reproduce this, but Help_72/main.aoz does not run "as this" :
e Track Loop Of : syntax error. | replaced by Track Loop Off and it seems to compile better. A search-and-replace into the main.aoz would be
appreciated.

e The AudioContext was not allowed to start. It must be resumed (or created) after a user gesture on the page. | added a wait key at the beginning
of the source code, but these warnings persist and nothing seems to move on the screen (or the audio) :

audio.js:61 The AudioContext was not allowed to start. It must be resumed (or created) after a user gesture on
the page. https://goo.gl/7K7WLu

(anonymous) @ audio.js:61

tracker.js:59 ticktime: 0.02

howler.js:2432 The AudioContext was not allowed to start. It must be resumed (or created) after a user gesture
on the page. https://goo.gl/7K7WLu

(0.9.7 test 2)
Can you help me to run this, with the right code ?

#3 - 04/19/2020 10:04 PM - Brian Flanagan

- Status changed from Resolved to Closed

Re-tested with 0.9.8.1. The "Drive Not Found" error has been fixed.
| had already corrected the typo in Help_72 - the issue was "Drive Not Found".

On the unrelated issue of the typo...
Yes, it works now, but the example program still needs to be fixed . (The typo was still in Help_72.)
